summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-04-10 15:03:25 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-04-10 15:04:29 +0200
commit3e9fd60738235ae14ef2d7c2cd0741c9cd9dfdee (patch)
tree913b3f3ee0ed33ac5b15a5daed1926d661302137 /dev-java
parentprofiles/prefix: p.use.mask python_targets_python3_4 (diff)
downloadgentoo-3e9fd60738235ae14ef2d7c2cd0741c9cd9dfdee.tar.gz
gentoo-3e9fd60738235ae14ef2d7c2cd0741c9cd9dfdee.tar.bz2
gentoo-3e9fd60738235ae14ef2d7c2cd0741c9cd9dfdee.zip
dev-java/sbt-bin: version bump.
Gentoo-Bug: https://bugs.gentoo.org/576962 Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/sbt-bin/Manifest1
-rw-r--r--dev-java/sbt-bin/sbt-bin-0.13.15.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-java/sbt-bin/Manifest b/dev-java/sbt-bin/Manifest
index 4cca8971646..06f8ce8516b 100644
--- a/dev-java/sbt-bin/Manifest
+++ b/dev-java/sbt-bin/Manifest
@@ -1,4 +1,5 @@
DIST sbt-0.12.4.tgz 980711 SHA256 5907af5a3db5e9090024c91e8b6189cd2143841b08c4688542a2efbc9023ac1a SHA512 0f8d67d8bcdfe2c7fad04e663cb626e302fc42ba7675376c97f22a73cbf21f40fde08078f2a74a723b9a5d0a24177c7b551e65942a4f73237d27ba8ea18b0add WHIRLPOOL 67db0d133b9a4812da6bce43ac5f82ca01f4c305b539deb92cccc0d6a9be8e3655dfc55a99293e78d1a8731e8534ed47bbe31b5092fea37bc47905685c0cee5c
+DIST sbt-0.13.15.tgz 60301163 SHA256 b6e073d7c201741dcca92cfdd1dd3cd76c42a47dc9d8c8ead8df7117deed7aef SHA512 9e8a4f92970b96ddb93c0f6d9bfb394bc10648511e65d2f3e7637c580877c91acfa0e5f73fc11b9992dab6b5c142ead314609f47c2aac3eb6da11d879f3da8a8 WHIRLPOOL 1df8914b682da0f8ca019953259c883cc7f737397eb2330ca8b81e594b485d0a931929a0ab0b2dc8609190593a30338e53f6fbef50bd28d9da4ec54e02d90075
DIST sbt-0.13.6.tgz 1066241 SHA256 5564024afbcb107e9a476c7e3be77bb50347580ce6c8a889cacfc84135835d55 SHA512 428f6e597f34d3eba94f19dd83334a1b188ae24300eda508fac597197b11e9850163c30552917c42c647470faab328663e96274536dc9f3a4df8355aa4f9d976 WHIRLPOOL e3df653c304c96d9321f661a398759e5cb2afaf7f78dab52765daa9b4e2597568538b82a192c3de8f0aebb1d7b767e53fb41998d7992bad489f757caef3e59ba
DIST sbt-0.13.7.tgz 1058904 SHA256 019ac98231a7159ce75a6b4b2c6b5ec8c968bd2fca0e25d356ea17bbe416fdc3 SHA512 6022ed88b2d25f947ab068b7971e51fdcf8df77cea3d0a03eceff6df4442f013fd13cbeda11cdfcc35cc23ee85e1661986c53921f48d4350e2fa8bf0ae5f3e1f WHIRLPOOL b708ffd47e821a17207f7e3e3ccb29af3eb0d5ab3b866034b034d73ef0ca7e211724055069825cc333770e8bc02cf0f660f0e1098d79fe8377e733d8d90729b7
DIST sbt-0.13.8.tgz 1059183 SHA256 f481c5db5b9e5ef35d87be9cd30a917e363812d67f218b25ae0c9e66078417dd SHA512 79479308c631b78b71196dfe4f8b26bd9b75727272c17432fce5ddd61a0dcaf4e261dd1eb9a8376b1e7a836ba6d84917819d181c35d19b543360d803193286d8 WHIRLPOOL 0b2f29e7f9030a923e1c68f4f2d7d546b949c237ff81d9b44097b3899540c0ca9adecd6177d66edd69387c01e37022556c60be8d1c526b1dc9ee6a48866930ba
diff --git a/dev-java/sbt-bin/sbt-bin-0.13.15.ebuild b/dev-java/sbt-bin/sbt-bin-0.13.15.ebuild
new file mode 100644
index 00000000000..f058123e44b
--- /dev/null
+++ b/dev-java/sbt-bin/sbt-bin-0.13.15.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-pkg-2
+
+DESCRIPTION="sbt, a build tool for Scala"
+HOMEPAGE="http://scala-sbt.org"
+SRC_URI="https://dl.bintray.com/sbt/native-packages/sbt/${PV}/${PN/-bin}-${PV}.tgz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=virtual/jre-1.7
+ !dev-java/sbt"
+
+src_unpack() {
+ default
+ mv "${WORKDIR}/sbt" "${S}" || die
+}
+
+src_prepare() {
+ default
+ java-pkg_init_paths_
+}
+
+src_compile() {
+ :;
+}
+
+src_install() {
+ local dest="${JAVA_PKG_SHAREPATH}"
+
+ rm -v bin/sbt.bat || die
+ sed -i -e 's#bin/sbt-launch.jar#lib/sbt-launch.jar#g;' \
+ bin/sbt-launch-lib.bash || die
+
+ insinto "${dest}/lib"
+ doins bin/* || die
+
+ insinto "${dest}"
+ doins -r conf || die
+
+ fperms 0755 "${dest}/lib/sbt" || die
+ dosym "${dest}/lib/sbt" /usr/bin/sbt || die
+}